Package org.silverpeas.components.silvercrawler

# Class ScheduledIndexFiles

java.lang.Object
org.silverpeas.components.silvercrawler.ScheduledIndexFiles

All Implemented Interfaces:
  `org.silverpeas.core.scheduler.SchedulerEventListener`

public class ScheduledIndexFiles extends Object implements org.silverpeas.core.scheduler.SchedulerEventListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SILVERCRAWLERENGINE_JOB_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduledIndexFiles()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doScheduledIndex()`
  `void`
  `initialize()`
  `void`
  `jobFailed(org.silverpeas.core.scheduler.SchedulerEvent anEvent)`
  `void`
  `jobSucceeded(org.silverpeas.core.scheduler.SchedulerEvent anEvent)`
  `void`
  `triggerFired(org.silverpeas.core.scheduler.SchedulerEvent anEvent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SILVERCRAWLERENGINE_JOB_NAME

    public static final String SILVERCRAWLERENGINE_JOB_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScheduledIndexFiles

    public ScheduledIndexFiles()

- ## Method Details

  - ### initialize

    public void initialize()

  - ### doScheduledIndex

    public void doScheduledIndex()

  - ### triggerFired

    public void triggerFired(org.silverpeas.core.scheduler.SchedulerEvent anEvent)
    Specified by:
      `triggerFired` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

  - ### jobSucceeded

    public void jobSucceeded(org.silverpeas.core.scheduler.SchedulerEvent anEvent)
    Specified by:
      `jobSucceeded` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

  - ### jobFailed

    public void jobFailed(org.silverpeas.core.scheduler.SchedulerEvent anEvent)
    Specified by:
      `jobFailed` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`